/*
 * Title  : dg_mtr.sql
 * Author : EXADIME LLC
 * Created: 29-Jul-2017
 * Updated: 16-Apr-2021
 * Release: 1.0.0
 * Purpose: Data Guard Monitoring. This shows ARC, MRP and RFS processes status.
 * History: N/A
 */

start oracle.ini

set echo off
set feedback off
set serverout on
set termout on

set linesize 80
set pagesize 24
set pause off
set long 80

set heading on
set headsep on
set underline on
set colsep " "

set define on
set verify off
set escape off
set embedded on

col process             format a10              heading "Process"
col client_process	format a14		heading "Client Process"
col thread		format 999999    	heading "Thread"
col sequence#		format 999999999 	heading "Sequence#"
col status		format a15		heading "Status"

spool &&rpt_dir/dg_mtr.rpt

select
	process,
	client_process,
	thread#,
	sequence#,
	status
from
	v$managed_standby;

spool off

clear columns

set embedded off
set escape off
set verify on
set define on

set colsep " "
set underline on
set headsep on
set heading on

set pause off
set pagesize 24
set linesize 80
set long 80

set termout on
set serverout off
set feedback on
set echo off
